Subject: chinese herbs & chinese herbalist

From: [email-masked] (charles ferris)
Date: 9 Aug 1995 00:20:08 GMT

Hi everyone,

I've been haveing some treatments for neck/upper back pain from a chinese
herbalist/accupuncturist.  She has also been treating my hypertension with
chinese herbs as opposed to traditional prescription drugs for high blood
pressure.  I ALWAYS had bad side affects from the perscription drugs.

The majority of the herbs that I see discussed here are from North
America/United States.   Dr. Fang treats a wide range of diseases & medical
problems using Chinese herbs.  

Dr. Fang is also helping my girlfriend who is suffering from lupus and
menstral cramps.

She is more than willing to send herbs to you via snail mail.

Feel free to contact me for more information and her snail mail address.
Either [email-masked] or a better address is
[email-masked]